=== debian/changelog ===
datatype99 (1.6.4-3) unstable; urgency=medium

  * Fix Vcs-* fields in debian/control.

 -- Roland Mas <lolando@debian.org>  Tue, 30 Apr 2024 16:12:33 +0200

datatype99 (1.6.4-2) unstable; urgency=medium

  * Switch to Architecture: all. This fixes "FTBFS on mips64el: cannot
    find -lasan: No such file or directory", thanks to Andrey Rakhmatullin
    (Closes: #1069320) and "FTBFS on armel: undefined reference to
    `__atomic_store_8", thanks to Andrey Rakhmatullin (Closes: #1069319).

 -- Roland Mas <lolando@debian.org>  Tue, 30 Apr 2024 14:27:27 +0200

datatype99 (1.6.4-1) unstable; urgency=medium

  * Initial release.

 -- Roland Mas <lolando@debian.org>  Tue, 27 Feb 2024 18:12:13 +0100
