=== debian/control ===
Source: datatype99
Section: devel
Priority: optional
Maintainer: Roland Mas <lolando@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libmetalang99-dev,
Standards-Version: 4.6.2
Homepage: https://github.com/Hirrolot/datatype99
Vcs-Browser: https://salsa.debian.org/science-team/datatype99
Vcs-Git: https://salsa.debian.org/science-team/datatype99.git

Package: libdatatype99-dev
Architecture: all
Depends:
 ${misc:Depends},
 libmetalang99-dev,
Description: Algebraic data types for C99
 Safe, intuitive algebraic data types with exhaustive pattern matching
 & compile-time introspection facilities. No external tools required,
 pure C99.
