=== examples/derive/CMakeLists.txt ===
add_executable(metadata metadata.c)
add_executable(record_metadata record_metadata.c)
add_executable(print print.c)
add_executable(command_menu command_menu.c)
