=== debian/changelog ===
datatype99 (1.6.5-1) unstable; urgency=medium

  * Import upstream version 1.6.5.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 04 Oct 2025 22:17:57 +0200
