=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: datatype99
+Standards-Version: 4.7.2
+Maintainer: Roland Mas <lolando@debian.org>
 Section: devel
-Priority: optional
-Maintainer: Roland Mas <lolando@debian.org>
-Rules-Requires-Root: no
 Build-Depends:
+ cmake,
  debhelper-compat (= 13),
- cmake,
  libmetalang99-dev,
-Standards-Version: 4.6.2
-Homepage: https://github.com/Hirrolot/datatype99
 Vcs-Browser: https://salsa.debian.org/science-team/datatype99
 Vcs-Git: https://salsa.debian.org/science-team/datatype99.git
+Homepage: https://github.com/Hirrolot/datatype99
 
 Package: libdatatype99-dev
 Architecture: all
